#!/usr/bin/sh
# Ĉi tiu skripto akceptas dosierujojn kiel parametrojn. Ĝi densigos ĉiujn
# PNG-dosierojn en ili, kaj movos ilin al eliga dosierujo.

# Certigu, ke eliga dosierujo ekzistas.
out_dir="eligo";
mkdir "$out_dir";

for dir in "$@"; do
	# Kopiu ĉiun dosierujon.
	cp -rt "$out_dir" "$dir"
	# Densigu kopiojn de ĉiuj dosieroj.
	for file in "$out_dir/$dir"/*.png; do
	    pngquant --output "$file" --quality 90-95 --speed 1 --force --strip "$file"
		zopflipng --iterations=64 --filters=0me --lossy_transparent -y "$file" "$file"
	done
done
