#!/bin/sh
set -o errexit

. ./env.sh

export ALL_PROXY="http://localhost:3128"
export MANICITO_TEMPLATE='<i>$USER</i> afiŝis:<br>$POST_URL'

TEMP="$(mktemp)"
cat history history.lang_eo > "$TEMP"
manicito -H "$TEMP" lang_eo https://jam.xwx.moe
if test -n "$(tail -1 "$TEMP")"; then
	tail -1 "$TEMP" > history.lang_eo
fi

mv "$TEMP" history
cat history history.esperanto > "$TEMP"
manicito -H "$TEMP" esperanto https://jam.xwx.moe
if test -n "$(tail -1 "$TEMP")"; then
	tail -1 "$TEMP" > history.esperanto
fi

mv "$TEMP" history
