#!/bin/sh

RSYNC_DRYRUN="--dry-run"
if test "$1" = "--real"; then
	RSYNC_DRYRUN=""
fi

rsync $RSYNC_DRYRUN --verbose sfeedrc $(whoami)@xwx.moe:/opt/fedbots/uea/sfeedrc
rsync $RSYNC_DRYRUN --verbose ruli.sh $(whoami)@xwx.moe:/opt/fedbots/uea/ruli.sh

if test "$RSYNC_DRYRUN" = "--dry-run"; then
	echo "=================================================="
	echo "Ran in --dry-run mode!"
	echo "Try '$(basename "$0") --real' if the output seems OK."
	echo "=================================================="
fi
