# ![](Lingvoj/flago_esperanto.png) Flagoj

Ĉi tiu bildosignaro enhavas diversajn specojn de flagoj. Eble vi demandas, kial
ne simple uzi unikodajn flagojn, kiuj jam estas facile tajpeblaj? Ekzistas
almenaŭ du tre bonaj kialoj:

- Ni atente konservas la formon kaj proporciojn de ĉiu flago. Pro egaleco ni
  strebas, ke ĉiu flago tamen kovru proksimume la saman kvanton de bilderoj.
- Iuj flagoj mankas al Unikodo, kaj ĉar oni decidis ne aldoni pliajn, ili eble
  ĉiam mankos.
	- Temas pri flagoj de iuj landoj (Tibeto), malplimultoj (interseksuloj),
	  lingvoj (Esperanto), kaj tiel plu.
	- Kial ni ne aldonis nur la mankantajn? Ĉar unikodaj bildosignoj montriĝas
	  malsame en malsamaj aparatoj, kaj apud propraj bildosignoj ili povas
	  malagrable trafi la okulojn. La sola maniero havi koherajn flagojn estas
	  do uzi nur proprajn bildosignojn. Ĝuste tion ni volas ebligi.
- Ĉiu flago havas ĉirkaŭ si nigran linion, kiu helpas, ke la flago estu bone
  videbla sur diverskoloraj fonoj.

## Specoj
### Ceteraj

Ĉi tiu parto enhavas diversajn flagojn, kiuj ne taŭgas por aliaj partoj.

### Ekslandoj

Ĉi tiu parto enhavas flagojn de landoj, kiuj ne plu ekzistas.

### Idearoj

Ĉi tiu parto enhavas flagojn de ideoj kaj idearoj, precipe politikaj.

### Landoj

Ĉi tiu parto enhavas flagojn de landoj.

La jenaj flagoj estas neoficialaj, kaj uzitaj anstataŭ la oficialaj de
protestantoj; ni preferas ilin por esprimi nian subtenon:

- Afganujo
- Blankrusujo
- Rusujo

En gentobazaj landonomoj, ni uzas kun perfekta reguleco la vorteron »uj«.

La du Kongoj estas distingataj per siaj ĉefurboj, ne per siaj longaj nomoj.

Ĉar Kataro havas eksterordinare larĝan flagon, ni duonigis ĝin al du
bildosignoj.

### Lingvoj

Ĉi tiu parto enhavas flagojn de iuj (artefaritaj) lingvoj.

### Marsignaloj

Ĉi tiu parto enhavas flagojn uzatajn de maristoj por sendi inter si signalojn.

### Organizoj

Ĉi tiu parto enhavas flagojn de interlandaj aŭ landecaj organizoj, kaj ankaŭ
de lokoj rigardataj ne kiel partoj de iu lando.

### Ularoj

Ĉi tiu parto enhavas flagojn uzatajn de iuj ularoj, precipe malplimultoj.

## Aŭtoreco

Ĉiujn bildosignojn faris Tirifto, ofte el vektoraj flagoj disponeblaj en
Vikipedio kaj Wikimedia Commons, kun laŭbezonaj ŝanĝoj. Grandan dankon al tiuj
projektoj pro ilia granda laboro.

La bildosignaro estas eldonita kiel publika havaĵo per CC0, kun ĉi-subaj
esceptoj:

- Flago de aŭtismuloj © 2021 Autistic Empire | CC BY-SA 4.0
    - Simbolo de senfino © 2016 MissLunaRose | CC BY-SA 4.0
- Flago de surduloj © 2013 Arnaud Balard

Tamen atentu, ke diversaj flagoj (precipe de landoj kaj organizaĵoj) povas subi
diversajn leĝojn, kiuj limigas ilian uzadon. La aŭtoro cedas siajn rajtojn je
sia laboro, sed ĝi ne povas cedi rajtojn je aliaj personoj kaj organizaĵoj!
