#!/bin/sh

RSYNC_DRYRUN="--dry-run"
if test "$1" = "--real"; then
	RSYNC_DRYRUN=""
fi

rsync $RSYNC_DRYRUN --recursive --delete --archive --verbose ./ $(whoami)@xwx.moe:/srv/http/jam.xwx.moe/x_x/

if test "$RSYNC_DRYRUN" = "--dry-run"; then
	echo "=================================================="
	echo "Ran in --dry-run mode!"
	echo "Try '$(basename "$0") --real' if the output seems OK."
	echo "=================================================="
fi
