#!/bin/sh
# Nomo: fari_indexojn.sh
# Pri: Tiu ĉu skripto kreas niajn proprajn HTML-ajn paĝojn, por plibeligi la
#      retejon se ial oni malŝaltis Ĝavoskripton.
# Dato: 2024-03-18

# Dosierujo, kien metiĝos index-dosieroj.
INDEX="instance/static.index/"

# Forigu la malnovajn!
rm "$INDEX/index.html" "$INDEX/index.base.html" "$INDEX/static/paĝoj-index/"*.html

# Elŝutu tiun interne kreitan de Pleroma — ĉi tio inkluzivos la Ĝavoskriptan
# kodon por funkciigi Pleroma-FE.
curl 'http://localhost:4000' \
	| sed 's/<body.*//' \
		  > "$INDEX/index.base.html"


# Kreu la ĉefan index-paĝon, kiu estos implicite montrata je ajna URL nekonata.
cat "$INDEX/index.base.html" \
	> "$INDEX"/index.html
cat "index.sh.html" \
   >> "$INDEX"/index.html


# Nun kreu apartan HTML-paĝon por ĉiu »paĝo«; eĉ se Pleroma-FE ne funkcius, la
# paĝoj tamen legeblu!
mkdir -p "$INDEX/static/paĝoj-index/" 2> /dev/null
for pagho in instance/static/static/paĝoj/*.html; do
	cat "$INDEX/index.base.html" \
		> "$INDEX/static/paĝoj-index/$(basename "$pagho")"
	sh paĝo.sh "$pagho" \
	   >> "$INDEX/static/paĝoj-index/$(basename "$pagho")"
done
